#
# spec file for package ExtendedLog
#
# Copyright (c) 2022 E W
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://gitlab.com/catsfood/mysqlworker_cpp
#

%define libName libMySqlWorker
%define realName MySqlWorker

Name:           libMySqlWorker2
Version:        2.1.1
Release:        0
Summary:        A library for connecting to MySql-databases
License:        GPL-3.0-or-later
URL:            https://gitlab.com/catsfood/extended-log.git
Source:         mysqlworker_cpp-%{version}.tar.xz
Group:          System/Libraries
BuildRequires:  cmake >= 3.14
BuildRequires:  gcc-c++
BuildRequires:  cmake(Qt5Core)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Sql)
Requires:       libqt5-sql-mysql

%description
A library for connecting to MySql-databases and modify them. This library supports creation, deletion and update of entries.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Requires:       cmake >= 3.14
Requires:       libqt5-qtbase-devel
Requires:       libQt5Sql-devel
Requires:       libQt5Core-devel

%description devel
The development files for MySqlWorker, a library for connecting to MySql-databases.

%lang_package

%prep
%setup -q -n mysqlworker_cpp-%{version}

%build
%cmake
%make_build

%install
%cmake_install

%post  -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/%{libName}.so.*

%files devel
%{_libdir}/%{libName}.so
%{_libdir}/cmake/%{realName}
%dir %{_includedir}/%{realName}
%{_includedir}/%{realName}/*.h

%files lang
%dir %{_datadir}/%{realName}
%dir %{_datadir}/%{realName}/i18n
%{_datadir}/%{realName}/i18n/*.qm

%changelog
* Mon Dec 19 2022 webe.info@gmx-topmail.de
- Update to version 2.1.1:
  * Correcting int comparison
  * make german translation after renaming
  * beautify naming: MySQLWorker -> MySqlWorker
  * beautify naming: MySQLWorker -> MySqlWorker
  * correct CMakeLists.txt
  * add german translation
  * beautify CMake-file
  * move documentation to .h-files
  * install language files
  * add german translation
* Thu Oct  6 2022 W. <webe.info@gmx-topmail.de>
- update to version 2.1-1
* Thu Oct  6 2022 W. <webe.info@gmx-topmail.de>
- correcting dependencies
* Thu Oct  6 2022 W. <webe.info@gmx-topmail.de>
- correct file-list for devel-package
* Thu Oct  6 2022 W. <webe.info@gmx-topmail.de>
- correct build-dependecies
* Thu Oct  6 2022 W. <webe.info@gmx-topmail.de>
- correcting source
* Thu Oct  6 2022 W. <webe.info@gmx-topmail.de>
- initial commit
